package com.yihu.hos.system.service.intf;

import com.yihu.hos.services.IBaseManager;
import com.yihu.hos.system.model.SystemServiceFlow;
import com.yihu.hos.system.model.SystemServiceFlowClass;
import com.yihu.hos.system.model.SystemServiceFlowTemp;
import com.yihu.hos.web.framework.model.Result;

import java.util.List;
import java.util.Map;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2016/8/19.
 */
public interface IFlowManage extends IBaseManager {
    Result getFlowList(Map<String, Object> params) throws Exception;
    Result getFlowList(String type) throws Exception;

    SystemServiceFlow getFlowById(Integer id) throws Exception;

    Result addFlow(SystemServiceFlow obj) throws Exception;

    Result updateFlow(SystemServiceFlow obj) throws Exception;

    Result deleteFlow(Integer id) throws Exception;


    /* ==========================flowClass����=================================*/

    Result getFlowClassList(Map<String, Object> params) throws Exception;

    List<SystemServiceFlowClass> getFlowClassByFlowId(Integer id) throws Exception;

    Result addFlowClass(SystemServiceFlowClass obj) throws Exception;

    Result updateFlowClass(SystemServiceFlowClass obj) throws Exception;

    boolean deleteFlowClassByFlowId(Integer flowId) ;


    /* ==========================flowTemp================================*/

    List<SystemServiceFlowTemp> getFlowTempByFlowId(Integer id) throws Exception;

    /**
     * 根据流程模板Id生成新流程
     * @param flowTempId
     * @return
     */
    boolean genFlewByflowTempId(Integer flowTempId) throws Exception;

    /**
     * 根据流程模板Id生成新流程
     * @param flowTempId 流程模板ID
     * @param newCron 新cron表达式
     * @return
     * @throws Exception
     */
    Integer genCamelFile(Integer flowTempId, String newCron) throws Exception;

    /**
     *  修改流程文件
     * @param flowTempId 流程模板ID
     * @param flowId 流程ID
     * @param newCron  新cron
     * @return
     * @throws Exception
     */
    Integer updateCamelFile(Integer flowTempId,Integer flowId, String newCron) throws Exception;


}
